function __global_object_depths() {
	// Initialise the global array that allows the lookup of the depth of a given object
	// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
	// NOTE: MacroExpansion is used to insert the array initialisation at import time
	gml_pragma( "global", "__global_object_depths()");

	// insert the generated arrays here
	global.__objectDepths[0] = 0; // obj_enemy_base
	global.__objectDepths[1] = 0; // obj_player_control
	global.__objectDepths[2] = 2; // obj_player_beams
	global.__objectDepths[3] = 3; // obj_enemy_spawn
	global.__objectDepths[4] = 100; // ctrl_main
	global.__objectDepths[5] = 0; // obj_enemy_buzzsaw
	global.__objectDepths[6] = -100; // ctrl_hud
	global.__objectDepths[7] = 0; // obj_enemy_mother
	global.__objectDepths[8] = 0; // obj_enemy_nova
	global.__objectDepths[9] = 0; // obj_enemy_beamer
	global.__objectDepths[10] = 0; // obj_item_shield
	global.__objectDepths[11] = 0; // obj_item_restore
	global.__objectDepths[12] = 0; // obj_item_nova
	global.__objectDepths[13] = 0; // points_buzz
	global.__objectDepths[14] = 3; // obj_enemy_beams
	global.__objectDepths[15] = 0; // points_beam
	global.__objectDepths[16] = 0; // points_midlvl
	global.__objectDepths[17] = 0; // points_hilvl
	global.__objectDepths[18] = 0; // obj_enemy_drain
	global.__objectDepths[19] = 0; // obj_item_hyper
	global.__objectDepths[20] = 0; // mnu_start


	global.__objectNames[0] = "obj_enemy_base";
	global.__objectNames[1] = "obj_player_control";
	global.__objectNames[2] = "obj_player_beams";
	global.__objectNames[3] = "obj_enemy_spawn";
	global.__objectNames[4] = "ctrl_main";
	global.__objectNames[5] = "obj_enemy_buzzsaw";
	global.__objectNames[6] = "ctrl_hud";
	global.__objectNames[7] = "obj_enemy_mother";
	global.__objectNames[8] = "obj_enemy_nova";
	global.__objectNames[9] = "obj_enemy_beamer";
	global.__objectNames[10] = "obj_item_shield";
	global.__objectNames[11] = "obj_item_restore";
	global.__objectNames[12] = "obj_item_nova";
	global.__objectNames[13] = "points_buzz";
	global.__objectNames[14] = "obj_enemy_beams";
	global.__objectNames[15] = "points_beam";
	global.__objectNames[16] = "points_midlvl";
	global.__objectNames[17] = "points_hilvl";
	global.__objectNames[18] = "obj_enemy_drain";
	global.__objectNames[19] = "obj_item_hyper";
	global.__objectNames[20] = "mnu_start";


	// create another array that has the correct entries
	var len = array_length_1d(global.__objectDepths);
	global.__objectID2Depth = [];
	for( var i=0; i<len; ++i ) {
		var objID = asset_get_index( global.__objectNames[i] );
		if (objID >= 0) {
			global.__objectID2Depth[ objID ] = global.__objectDepths[i];
		} // end if
	} // end for


}
